# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-26 19:43
from __future__ import unicode_literals

from django.db import migrations


def copy_text_to_content_item(apps, schema_editor):
    Entry = apps.get_model('blog', 'Entry')
    EntryContent = apps.get_model('blog', 'EntryContent')

    entries = Entry.objects.all()
    for entry in entries:
        if entry.content.count() > 0:
            continue
        item = EntryContent.objects.create(
            entry=entry,
            text=entry.body,
        )
        item.save()


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0002_entrycontent'),
    ]

    operations = [
        migrations.RunPython(copy_text_to_content_item,
                             migrations.RunPython.noop),
    ]
